org.apache.ignite.mxbean

## Interface TransactionsMXBean

All Known Implementing Classes:
  TransactionsMXBeanImpl

    @MXBeanDescription(value="MBean that provides access to Ignite transactions.")
    public interface TransactionsMXBean

Transactions MXBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActiveTransactions(Long minDuration, Integer minSize, String prj, String consistentIds, String xid, String lbRegex, Integer limit, String order, boolean detailed, boolean kill)`
`long` `getTxTimeoutOnPartitionMapExchange()` Gets transaction timeout on partition map exchange.
`void` `setTxTimeoutOnPartitionMapExchange(long timeout)` Sets transaction timeout on partition map exchange.

### Method Detail

#### getActiveTransactions

    @MXBeanDescription(value="Returns or kills transactions matching the filter conditions.")
     @MXBeanParametersNames(value={"minDuration","minSize","prj","consistentIds","xid","lbRegex","limit","order","detailed","kill"})
     @MXBeanParametersDescriptions(value={"Minimum duration (seconds).","Minimum size.","Projection (servers|clients).","Consistent ids (separated by comma).","Transaction XID.","Label regexp.","Limit a number of transactions collected on each node.","Order by DURATION|SIZE.","Show detailed description, otherwise only count.","Kill matching transactions (be careful)."})
    String getActiveTransactions(Long minDuration,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Integer minSize,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String prj,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String consistentIds,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String xid,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String lbRegex,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             Integer limit,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             String order,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             boolean detailed,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             boolean kill)

Parameters:
  `minDuration` - Minimum duration.
  `minSize` - Minimum size.
  `prj` - Projection.
  `consistentIds` - Consistent ids.
  `xid` - Xid.
  `lbRegex` - Label regex.
  `limit` - Limit.
  `order` - Order.
  `detailed` - Detailed.
  `kill` - Kill.

#### getTxTimeoutOnPartitionMapExchange

    @MXBeanDescription(value="Returns transaction timeout on partition map exchange in milliseconds.")
    long getTxTimeoutOnPartitionMapExchange()

Gets transaction timeout on partition map exchange.

Returns:
  Transaction timeout on partition map exchange in milliseconds.
See Also:
  `TransactionConfiguration.getTxTimeoutOnPartitionMapExchange()`

#### setTxTimeoutOnPartitionMapExchange

    @MXBeanDescription(value="Sets transaction timeout on partition map exchange in milliseconds.")
     @MXBeanParametersNames(value="timeout")
     @MXBeanParametersDescriptions(value="Transaction timeout on partition map exchange in milliseconds.")
    void setTxTimeoutOnPartitionMapExchange(long timeout)

Sets transaction timeout on partition map exchange.

If not set, default value is `TransactionConfiguration.TX_TIMEOUT_ON_PARTITION_MAP_EXCHANGE` which means transactions will never be rolled back on partition map exchange.

Parameters:
  `timeout` - Transaction timeout on partition map exchange in milliseconds.
See Also:
  `TransactionConfiguration.setTxTimeoutOnPartitionMapExchange(long)`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019